export interface ByDateData {
  [key: string]: PhotosData[];
}

export interface ByRegionData {
  id: number;
  country: string;
  name: string;
  flag: string;
  nm: boolean;
  dare: boolean;
  photos: PhotosData[];
}

export interface PhotosData {
  id: number;
  region_nm: number;
  region_dare: number;
  region: number;
  title: string;
  date: string;
  url_small: string;
  url_mid: string;
  url_full: string;
  album_id: number;
  album_name: string;
  uri?: string;
}

export interface AllRegions {
  id: number;
  dare: boolean;
  nm: boolean;
  country: string;
  name: string;
  flag: string;
}

export interface TempData {
  guid: string;
  link: string;
}

export interface ImageStatus {
  uri?: string;
  assetId: string;
  loaded: boolean;
  uploadResponse: TempData | null;
  dateTime: string | null;
  progress: number;
}
